> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devtune.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the Knowledge Profile and proposal queue



## OpenAPI

````yaml /openapi.json get /projects/{projectId}/knowledge
openapi: 3.1.0
info:
  title: DevTune API
  version: 2.0.0
  description: >-
    API for programmatic access to your AI visibility data, webhook
    subscriptions, and automation workflows. Use this API to integrate DevTune
    data into CI/CD pipelines, BI tools, AI agents, and operational systems.
servers:
  - url: https://devtune.ai/api/v2
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/knowledge:
    get:
      summary: Read the Knowledge Profile and proposal queue
      operationId: readKnowledgeProfile
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: cursor
          in: query
          schema:
            type: string
          description: Opaque cursor from the previous response.
        - name: limit
          in: query
          schema:
            type: integer
            default: 25
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Knowledge Profile and proposals
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/KnowledgeData'
                  meta:
                    $ref: '#/components/schemas/Meta'
                required:
                  - data
                  - meta
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '429':
          $ref: '#/components/responses/RateLimitExceededError'
components:
  schemas:
    KnowledgeData:
      type: object
      properties:
        profile:
          anyOf:
            - $ref: '#/components/schemas/KnowledgeProfile'
            - type: 'null'
        proposals:
          type: array
          items:
            $ref: '#/components/schemas/KnowledgeProposalData'
        pagination:
          $ref: '#/components/schemas/CursorPagination'
      required:
        - profile
        - proposals
        - pagination
    Meta:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        projectId:
          type: string
          format: uuid
    KnowledgeProfile:
      type: object
      properties:
        id:
          type: string
          format: uuid
        positioning:
          type:
            - string
            - 'null'
        productsServices:
          type:
            - string
            - 'null'
        tone:
          type:
            - string
            - 'null'
        savedInstructions:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
          format: date-time
        updatedBy:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - id
        - positioning
        - productsServices
        - tone
        - savedInstructions
        - updatedAt
        - updatedBy
    KnowledgeProposalData:
      type: object
      properties:
        id:
          type: string
          format: uuid
        targetField:
          type: string
        proposedValue:
          type: string
        source:
          type: string
        provenance:
          type: object
          additionalProperties: true
        status:
          type: string
          enum:
            - pending
            - approved
            - dismissed
        reviewedBy:
          type:
            - string
            - 'null'
          format: uuid
        reviewedAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - targetField
        - proposedValue
        - source
        - provenance
        - status
        - reviewedBy
        - reviewedAt
        - createdAt
        - updatedAt
    CursorPagination:
      type: object
      properties:
        pageSize:
          type: integer
          minimum: 1
          maximum: 100
        cursor:
          type:
            - string
            - 'null'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - pageSize
        - cursor
        - nextCursor
        - hasMore
    Error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        status:
          type: integer
      required:
        - error
        - message
        - status
  responses:
    BadRequestError:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ForbiddenError:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimitExceededError:
      description: Rate limit exceeded
      headers:
        X-RateLimit-Limit:
          $ref: '#/components/headers/X-RateLimit-Limit'
        X-RateLimit-Remaining:
          $ref: '#/components/headers/X-RateLimit-Remaining'
        X-RateLimit-Reset:
          $ref: '#/components/headers/X-RateLimit-Reset'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  headers:
    X-RateLimit-Limit:
      description: Maximum requests per window
      schema:
        type: integer
    X-RateLimit-Remaining:
      description: Requests remaining in current window
      schema:
        type: integer
    X-RateLimit-Reset:
      description: Unix timestamp when the window resets
      schema:
        type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key with dtk_live_ prefix. Obtain it from API Keys in the account
        sidebar. New keys start with all supported scopes selected for the
        chosen project, and you can narrow them to specific read/write scopes as
        needed.

````